<!DOCTYPE html>
<html lang="fr">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Trumpagotchi</title>

    <!--LOGO-->
    <link rel="icon" href="assets/images/trump_logo.png">

    <!--OPENGRAPH-->
    <meta property="og:title" content="Trumpagotchi"/>
    <meta property="og:type" content="website"/>
    <meta property="og:url" content="http://trumpagochi.com/index.html"/>
    <meta property="og:image" content="https://simplon.co/storage/2693/logo-simplon_23.png"/>
    <meta property="og:description" content="Prenez soin de votre petit Trump de poche dans cet hommage aux tamagotchis"/>

    <!--CSS & ANIMATE-->
    <link rel="stylesheet" href="assets/prod/style.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.0.0/animate.min.css"/>
</head>

<body>
    <!--NAVBAR-->
    <nav class="navbar p-0 m-0" id="main_nav">
        <a class="navbar-brand" href="#"><img src="assets/images/trump_title.png" alt="logo trumpagotchi"></a>
    </nav>

    <!--MAIN CONTENT-->
    <div class="container-fluid">
        <div class="row">

            <!--LEFT LAYOUT - TAMAGOCHI-->
            <div class="col-md-4 pl-0 pr-0 h-auto" id="left_layout">
                <div class="card" id="trump_card">
                    <img class="card-img-top" src="assets/images/trump_run_sprite/trump_run_1.png" alt="Card image cap" id="trump_avatar">
                    <img class="card-img-top" src="assets/images/trump_run_sprite/trump_out.png" alt="Card image cap" id="trump_avatar_out">
                    <!--PARTICLES BOXES-->
                    <div id="particle_burger_box">
                        <!--CREATED PARTICLE GOES HERE-->
                    </div>
                    <div id="particle_soda_box">
                        <!--CREATED PARTICLE GOES HERE-->
                    </div>
                    <div id="particle_twitter_box">
                        <!--CREATED PARTICLE GOES HERE-->
                    </div>

                    <div class="card-body py-0">
                      <h5 class="card-title text-center trump_label font-weight-bold">
                          Donald trump <span class="lvl text-muted">lvl. 1</span></h5>
                    </div>
                </div>
                
                <!--STATISTICS-->
                <div id="statistics">
                    <div class="container-fluid">
                        <div class="row">
                            
                            <!--BURGER-->
                            <div class="text-center my-3 col-md-12">
                                <div class="progress mt-3">
                                    <img src="assets/images/icons/little_burger.png" alt="burger icon" class="mx-3" id="burger_icon">
                                    <div class="progress-bar" role="progressbar" style="width: 100%;" aria-valuenow="0" aria-valuemin="0" 
                                    aria-valuemax="100" id="burger_bar"><p id="burger_width" class="font-weight-bold">100%</p></div>
                                </div>
                            </div>

                            <!--SODA-->
                            <div class="text-center my-3 col-md-12">
                                <div class="progress">
                                    <img src="assets/images/icons/little_soda.png" alt="soda icon" class="mx-3" id="soda_icon">
                                    <div class="progress-bar" role="progressbar" style="width: 100%;" aria-valuenow="0" aria-valuemin="0" 
                                    aria-valuemax="100" id="soda_bar"><p id="soda_width" class="font-weight-bold">100%</p></div>
                                </div>
                            </div>

                            <!--TWITTER-->
                            <div class="text-center my-3 col-md-12">
                                <div class="progress">
                                    <img src="assets/images/icons/little_twitter.png" alt="twitter icon" class="mx-3" id="twitter_icon">
                                    <div class="progress-bar" role="progressbar" style="width: 100%;" aria-valuenow="0" aria-valuemin="0" 
                                    aria-valuemax="100" id="twitter_bar"><p id="twitter_width" class="font-weight-bold">100%</p></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!--RIGHT LAYOUT - TEXT & BUTTONS-->

            <!--RULES-->
            <div class="col-md-8 h-auto text-center" id="right_layout">
                <div class="row">
                    <img src="assets/images/icons/mute.svg" alt="sound on/off" class="m-3" id="sound_icon"> 
                    <div id="rules_block" class="pb-5 col-md-12">
                        <h1 class="mt-1 font-weight-bold mb-5" id="rules_header">REGLES DU JEU</h1>
                        <ul class="mx-5 text-justify" id="rules_list">
                            <li class="mx-2 pb-2">Donald doit manger régulièrement des burgers. <span class="console_helper font-italic">(en console: "feed")</span></li>
                            <li class="mx-2 pb-2">Donald doit s'hydrater régulièrement. <span class="console_helper font-italic">(en console: "drink")</span></li>
                            <li class="mx-2 pb-2">Donald doit tweeter pour survivre. <span class="console_helper font-italic">(en console: "tweet")</span></li>
                            <li class="mx-2 pb-2">Pour combler ses besoins, appuyez sur les boutons. Si Donald vient à manquer des trois éléments :  <span class="text_red">il succombera.</span></li>
                        </ul>
                    </div>
    
                    <!--DIVIDER-->
                    <div class="divider"></div>
    
                    <!--BUTTONS GROUP-->
                    <div class="col-md-12 order-first order-md-last">
                        <div class="row justify-content-around custom-line mt-5 mx-5" id="buttons_group">
                            <div class="col-4">
                                <button type="button" class="btn logo_button" id="burger_btn"><img src="assets/images/icons/little_burger.png" alt="burger icon"></button>
                            </div>
                            <div class="col-4">
                                <button type="button" class="btn logo_button" id="soda_btn"><img src="assets/images/icons/little_soda.png" alt="soda icon"></button>
                            </div>
                            <div class="col-4">
                                <button type="button" class="btn logo_button" id="twitter_btn"><img src="assets/images/icons/little_twitter.png" alt="twitter icon"></button>
                            </div>
                        </div>

                        <!--DIVIDER-->
                        <div class="divider d-md-none mt-5"></div>

                        <!--CONSOLE-->
                        <h1 class="mt-5 font-weight-bold mb-5" id="console_header">MODE CONSOLE</h1>
                        <input type="text" name="terminal" id="terminal" autocomplete="off" class="container-fluid pt-2">
                        <div class="container-fluid mb-3 text-left" id="output"></div>
                        
                        <!--DIVIDER-->
                        <div class="divider d-md-none mt-5 "></div>
                        
                        <!--MODAL-->
                        <div id="modal_box" class="modal">

                            <!-- Modal content -->
                            <div class="modal_content" id="modal_div">
                              <p class="pb-2" id="modal_text"></p>
                              <button type="button" class="btn btn-primary" id="retry_btn">Rejouer</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!--ACHIEVEMENTS-->
    <div class="container mt-5">
        <!--ACHIEVEMENT HEADER-->
        <h1 class="font-weight-bold text-center text_red mb-5" id="achievements_header">ACHIEVEMENTS</h1>
        <!--ACHIEVEMENTS LIST-->
        <div class="row text-center mx-5">
            <!--ACHIEVEMENT BLOCK-->
            <div class="achievement col-6 col-sm-4 col-lg-3 mb-5">
                <!--ACHIEVEMENT HINT-->
                <span class="achievement_hint">
                    <!--HOVER BUBBLE-->
                    <div class="bubble_text">
                        <!--BUBBLE TEXT-->
                        <h3 class="text_red mb-2 font-weight-bold">Burger de bronze</h3>
                        <p>Nourrir le président des USA 50 fois</p>
                    </div>
                </span>
                <!--ACHIEVEMENT IMG-->
                <img id="burger_bronze" src="assets/images/icons/medals/burger_bronze.png" alt="achievement burger bronze">
                <!--LOCK OVERLAY-->
                <img src="assets/images/icons/lock.svg" alt="" id="lock_b1">
            </div>
            <!--ACHIEVEMENT BLOCK 2 ...... -->
            <div class="achievement col-6 col-sm-4 col-lg-3 mb-5">
                <span class="achievement_hint">
                    <div class="bubble_text">
                        <h3 class="text_red mb-2 font-weight-bold">Burger d'argent</h3>
                        <p>Nourrir le président des USA 100 fois</p>
                    </div>
                </span>
                <img id="burger_silver" src="assets/images/icons/medals/burger_silver.png" alt="achievement burger silver">
                <img src="assets/images/icons/lock.svg" alt="" id="lock_b2">
            </div>
            <div class="achievement col-6 col-sm-4 col-lg-3 mb-5">
                <span class="achievement_hint">
                    <div class="bubble_text">
                        <h3 class="text_red mb-2 font-weight-bold">Burger d'or</h3>
                        <p>Nourrir le président des USA 250 fois</p>
                    </div>
                </span>
                <img id="burger_gold" src="assets/images/icons/medals/burger_gold.png" alt="achievement burger gold">
                <img src="assets/images/icons/lock.svg" alt="" id="lock_b3">
            </div>
            <div class="achievement col-6 col-sm-4 col-lg-3 mb-5">
                <span class="achievement_hint">
                    <div class="bubble_text">
                        <h3 class="text_red mb-2 font-weight-bold">Burger de platine</h3>
                        <p>Nourrir le président des USA 500 fois</p>
                    </div>
                </span>
                <img id="burger_platin" src="assets/images/icons/medals/burger_platin.png" alt="achievement burger platin">
                <img src="assets/images/icons/lock.svg" alt="" id="lock_b4">
            </div>
            <div class="achievement col-6 col-sm-4 col-lg-3 mb-5">
                <span class="achievement_hint">
                    <div class="bubble_text">
                        <h3 class="text_red mb-2 font-weight-bold">Soda de bronze</h3>
                        <p>Abreuver le président des USA 50 fois</p>
                    </div>
                </span>
                <img id="soda_bronze" src="assets/images/icons/medals/soda_bronze.png" alt="achievement soda bronze">
                <img src="assets/images/icons/lock.svg" alt="" id="lock_s1">
            </div>
            <div class="achievement col-6 col-sm-4 col-lg-3 mb-5">
                <span class="achievement_hint">
                    <div class="bubble_text">
                        <h3 class="text_red mb-2 font-weight-bold">Soda d'argent</h3>
                        <p>abreuver le président des USA 100 fois</p>
                    </div>
                </span>
                <img id="soda_silver" src="assets/images/icons/medals/soda_silver.png" alt="achievement soda silver">
                <img src="assets/images/icons/lock.svg" alt="" id="lock_s2">
            </div>
            <div class="achievement col-6 col-sm-4 col-lg-3 mb-5">
                <span class="achievement_hint">
                    <div class="bubble_text">
                        <h3 class="text_red mb-2 font-weight-bold">Soda d'or</h3>
                        <p>Abreuver le président des USA 250 fois</p>
                    </div>
                </span>
                <img id="soda_gold" src="assets/images/icons/medals/soda_gold.png" alt="achievement soda gold">
                <img src="assets/images/icons/lock.svg" alt="" id="lock_s3">
            </div>
            <div class="achievement col-6 col-sm-4 col-lg-3 mb-5">
                <span class="achievement_hint">
                    <div class="bubble_text">
                        <h3 class="text_red mb-2 font-weight-bold">Soda de platine</h3>
                        <p>Abreuver le président des USA 500 fois</p>
                    </div>
                </span>
                <img id="soda_platin" src="assets/images/icons/medals/soda_platin.png" alt="achievement soda platin">
                <img src="assets/images/icons/lock.svg" alt="" id="lock_s4">
            </div>
            <div class="achievement col-6 col-sm-4 col-lg-3 mb-5">
                <span class="achievement_hint">
                    <div class="bubble_text">
                        <h3 class="text_red mb-2 font-weight-bold">Tweet de bronze</h3>
                        <p>Tweeter 50 fois</p>
                    </div>
                </span>
                <img id="twitter_bronze" src="assets/images/icons/medals/twitter_bronze.png" alt="achievement twitter bronze">
                <img src="assets/images/icons/lock.svg" alt="" id="lock_tw1">
            </div>
            <div class="achievement col-6 col-sm-4 col-lg-3 mb-5">
                <span class="achievement_hint">
                    <div class="bubble_text">
                        <h3 class="text_red mb-2 font-weight-bold">Tweet d'argent</h3>
                        <p>Tweeter 100 fois</p>
                    </div>
                </span>
                <img id="twitter_silver" src="assets/images/icons/medals/twitter_silver.png" alt="achievement twitter silver">
                <img src="assets/images/icons/lock.svg" alt="" id="lock_tw2">
            </div>
            <div class="achievement col-6 col-sm-4 col-lg-3 mb-5">
                <span class="achievement_hint">
                    <div class="bubble_text">
                        <h3 class="text_red mb-2 font-weight-bold">Tweet d'or</h3>
                        <p>Tweeter 250 fois</p>
                    </div>
                </span>
                <img id="twitter_gold" src="assets/images/icons/medals/twitter_gold.png" alt="achievement twitter gold">
                <img src="assets/images/icons/lock.svg" alt="" id="lock_tw3">
            </div>
            <div class="achievement col-6 col-sm-4 col-lg-3 mb-5">
                <span class="achievement_hint">
                    <div class="bubble_text">
                        <h3 class="text_red mb-2 font-weight-bold">Tweet de platine</h3>
                        <p>Tweeter 500 fois</p>
                    </div>
                </span>
                <img id="twitter_platin" src="assets/images/icons/medals/twitter_platin.png" alt="achievement twitter platin">
                <img src="assets/images/icons/lock.svg" alt="" id="lock_tw4">
            </div>
            <div class="achievement col-6 col-sm-4 col-lg-3 mb-5">
                <span class="achievement_hint">
                    <div class="bubble_text">
                        <h3 class="text_red mb-2 font-weight-bold">Trump de bronze</h3>
                        <p>Survivez 1 minute</p>
                    </div>
                </span>
                <img id="trump_bronze" src="assets/images/icons/medals/trump_bronze.png" alt="achievement trump bronze">
                <img src="assets/images/icons/lock.svg" alt="" id="lock_t1">
            </div>
            <div class="achievement col-6 col-sm-4 col-lg-3 mb-5">
                <span class="achievement_hint">
                    <div class="bubble_text">
                        <h3 class="text_red mb-2 font-weight-bold">Trump d'argent</h3>
                        <p>Survivez 2 minutes 30</p>
                    </div>
                </span>
                <img id="trump_silver" src="assets/images/icons/medals/trump_silver.png" alt="achievement trump silver">
                <img src="assets/images/icons/lock.svg" alt="" id="lock_t2">
            </div>
            <div class="achievement col-6 col-sm-4 col-lg-3 mb-5">
                <span class="achievement_hint">
                    <div class="bubble_text">
                        <h3 class="text_red mb-2 font-weight-bold">Trump d'or</h3>
                        <p>Survivez 5 minutes</p>
                    </div>
                </span>
                <img src="assets/images/icons/medals/trump_gold.png" alt="achievement trump gold">
                <img src="assets/images/icons/lock.svg" alt="" id="lock_t3">
            </div>
            <div class="achievement col-6 col-sm-4 col-lg-3 mb-5">
                <span class="achievement_hint">
                    <div class="bubble_text">
                        <h3 class="text_red mb-2 font-weight-bold">TRUMP GOD</h3>
                        <p>Survivez 10 minutes</p>
                    </div>
                </span>
                <img src="assets/images/icons/medals/trump_platin.png" alt="achievement trump platin">
                <img src="assets/images/icons/lock.svg" alt="" id="lock_t4">
            </div>
        </div>
    </div>

    <!--ACHIEVEMENT ALERT-->
    <div id="achievement_alert" class="text-center">
        <h3 class="text_red font-weight-bold">Wow</h3>
        <p>Vous avez débloqué un succès !</p>
    </div>

    <!--AMERICAN HYMN-->
    <audio src="assets/sounds/american_hymn.mp3" id="audio" loop></audio>

    <!--GAME OVER SOUND-->
    <audio src="assets/sounds/game_over.mp3" id="game_over"></audio>

    <!--CLICK SOUND-->
    <audio src="assets/sounds/click.mp3" id="click"></audio>

    <!--JAVASCRIPT-->
    <script src="assets/prod/main.js"></script>
</body>
</html>